<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title> JS cant find element </title>
		<script type="text/javascript">
			try{
				document.getElementById("text").innerHTML = "Text override works!";
			}
			catch(e){
				console.error(e);
				alert("Konnte Element nicht überschreiben. Siehe Console");
			}
		</script>
	</head>
	<body>
		<p id="text">-</p>
		<br>
		<p style="color: red;">
			p#text kann nicht gefunden werden, da das Script, welches darauf zugreift, vor dem Element erstellt wurde.
			Das Script versucht direkt darauf zuzugreifen. Jedoch existiert das Element zu diesem Zeitpunkt noch nicht: 
			Ein Fehler wird geworfen
		</p>
	</body>
</html>